beim Versuch ein Squeeze-LTS-System auf Wheezy zu aktualisieren, erhalte ich folgenden Fehler:
Code: Alles auswählen
Setting up debian-security-support (2016.05.24~deb7u1) ...
dpkg: error processing debian-security-support (--configure):
subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
dpkg: error executing hook 'if [ -x /usr/share/debian-security-support/check-support-status.hook ] ; then /usr/share/debian-security-support/check-support-status.hook ; fi', exit code 256
E: Sub-process /usr/bin/dpkg returned an error code (2)
Code: Alles auswählen
deb http://ftp.de.debian.org/debian wheezy main contrib non-free
deb-src http://ftp.de.debian.org/debian wheezy main contrib non-free
deb http://ftp.de.debian.org/debian wheezy-updates main contrib non-free
deb http://ftp.de.debian.org/debian-security wheezy/updates main contrib non-free
Code: Alles auswählen
dpkg-query -l debian-security-support
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============================-==============================-============================================================================
iF debian-security-support 2016.05.24~deb7u1 Debian security support coverage checker
root@xxx:~# apt-cache policy debian-security-support
debian-security-support:
Installed: 2016.05.24~deb7u1
Candidate: 2016.05.24~deb7u1
Version table:
*** 2016.05.24~deb7u1 0
500 http://ftp.de.debian.org/debian-security/ wheezy/updates/main amd64 Packages
100 /var/lib/dpkg/status
2015.04.04~deb7u1 0
500 http://ftp.de.debian.org/debian/ wheezy/main amd64 Packages
Code: Alles auswählen
#!/bin/sh
#%# Copyright (C) 2014 Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
#%# License: GPL-2.0-only
# This codes duplicates "postinst configure"
set -e
. /usr/share/debconf/confmodule
USERNAME=debian-security-support
LIB_DIR="/var/lib/$USERNAME"
# assert user
if ! getent passwd "$USERNAME" > /dev/null; then
adduser \
--system --quiet \
--home "$LIB_DIR" \
--shell /bin/false --group \
--gecos "Debian security support check" \
"$USERNAME"
fi
if [ "$TMPDIR" ] && [ "$(stat --format=%a "$TMPDIR")" != '1777' ] ; then
export TMPDIR='/tmp'
fi
TEMPDIR="$(mktemp --tmpdir --directory debian-security-support.postinst.XXXXX)"
trap "rm -rf '$TEMPDIR'" EXIT
# Closes: #824081
cd /tmp
MODES="ended limited"
# Don't invoke earlyend if an unsupporting version is still running. Closes: #824015
found_version="$(dpkg-query -f '${Version}' -W debian-security-support)"
if dpkg --compare-versions "2016.03.30" '<=' "$found_version"; then
MODES="$MODES earlyend"
fi
for MODE in $MODES ; do
OUTPUT="$TEMPDIR/output"
su "$USERNAME" --shell /bin/bash --command "
check-support-status \
--type $MODE \
--no-heading \
--status-db \"$LIB_DIR/security-support.semaphore\" \
" >"$OUTPUT"
if [ -s "$OUTPUT" ] ; then
db_capb escape
db_subst debian-security-support/$MODE MESSAGE "$(debconf-escape -e <"$OUTPUT")"
db_input critical debian-security-support/$MODE || true
db_go
db_reset debian-security-support/$MODE
fi
done
Hat jemand eine Idee?
Vielen Dank!
Grüße
Uncle